Summary
Replaces a component group document.
Description
Replaces a component group document.
Route
PUT /automation-studio/component-groups/:id
Roles
admin
apiwrite
designer
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| id |
string |
yes |
Component group id. |
| update |
object |
yes |
Complete component group definition to replace the existing component group document with. May not contain field '_id'. |
Copied to Clipboard
{
"update": {
"name": "test",
"gbacRead": [
"consectetur aliquip",
"dolore id",
"esse"
],
"members": [],
"_id": "348e8ED0EF85E3FA542fEC07",
"version": 1
}
}
Copied to Clipboard
{
"type": "object",
"properties": {
"update": {
"title": "update",
"description": "Complete component group definition to replace the existing component group document with. May not contain field '_id'.",
"$ref": "componentGroupUpdate"
}
},
"required": [
"update"
],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| response |
object |
Response object. |
Copied to Clipboard
{
"updated": {
"name": "test",
"gbacRead": [
"exercitation amet voluptate aute in",
"ea mollit quis culpa do",
"ipsum deserunt officia qui",
"sed",
"reprehenderit ea"
],
"members": [],
"_id": "fc84EdDF7EBBD2f89e5cdaFC",
"description": "ut sunt et",
"gbacWrite": [
"elit ipsum esse",
"exercitation"
],
"version": 1
},
"edit": "ut sint minim magna ex"
}
Copied to Clipboard
{
"title": "response",
"type": "object",
"properties": {
"updated": {
"description": "Component group document after applying the update.",
"$ref": "componentGroup"
},
"edit": {
"type": "string",
"description": "URI to the edit page for the updated component group."
}
},
"required": [
"updated",
"edit"
]
}